@if (componentData) {
  <div class="server-information-grid grid-4">
    @if (!isSquashAutomServer(componentData)) {
      <ng-container *ngTemplateOutlet="typeField"></ng-container>
      <ng-container *ngTemplateOutlet="creationField"></ng-container>
      <div class="col-spacer-server"></div>
      <ng-container *ngTemplateOutlet="modificationField"></ng-container>
    } @else {
      <ng-container *ngTemplateOutlet="orchestratorVersion"></ng-container>
      <ng-container *ngTemplateOutlet="creationField"></ng-container>
      <ng-container *ngTemplateOutlet="typeField"></ng-container>
      <ng-container *ngTemplateOutlet="modificationField"></ng-container>
    }

    <ng-template #orchestratorVersion>
      <span class="clickable" (click)="openOrchestratorDetailDialog($event)">
        {{
          'sqtm-core.administration-workspace.servers.test-automation-servers.dialog.title.about-orchestrator'
            | translate
        }}
      </span>
      <span></span>
    </ng-template>

    <ng-template #typeField>
      <sqtm-core-label
        [text]="'sqtm-core.entity.execution-server.kind.label' | translate"
      >
      </sqtm-core-label>
      <span>{{ getServerKind(componentData) | translate }} </span>
    </ng-template>

    <ng-template #creationField>
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.creation.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'info-list-created'"
        [userName]="componentData.testAutomationServer.createdBy"
        [date]="componentData.testAutomationServer.createdOn"
      >
      </sqtm-core-auditable-field>
    </ng-template>

    <ng-template #modificationField>
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.modification.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'ta-server-modified'"
        [userName]="componentData.testAutomationServer.lastModifiedBy"
        [date]="componentData.testAutomationServer.lastModifiedOn"
      >
      </sqtm-core-auditable-field>
    </ng-template>
  </div>

  <div class="server-information-grid grid-2">
    @if (!isSquashAutomServer(componentData)) {
      <sqtm-core-label [text]="getUrlFieldLabelKey(componentData) | translate">
      </sqtm-core-label>
      <div class="url-link-server">
        <sqtm-core-editable-text-field
          [sqtmCoreGenericViewEditableTextField]="'baseUrl'"
          [attr.data-test-field-id]="'test-automation-server-url'"
          (confirmEvent)="reloadEnvironmentFromUrlChange($event, 'baseUrl')"
          layout="compact"
          [ngClass]="'m-r-5 overflow-hidden'"
        >
        </sqtm-core-editable-text-field>
        <a
          href="{{ componentData.testAutomationServer.baseUrl }}"
          target="_blank"
          rel="noopener"
          class="m-l-10"
        >
          <i
            nz-icon
            nzType="sqtm-core-administration:external_link"
            class="icon table-icon-size"
          ></i>
        </a>
      </div>
    } @else {
      <div class="flex-row">
        <sqtm-core-label
          [text]="getUrlFieldLabelKey(componentData) | translate"
        >
        </sqtm-core-label>
        <a [href]="orchestratorConfigurationDocUrl" target="_blank">
          <i
            nz-icon
            [nzType]="'sqtm-core-generic:help'"
            class="tooltip-icon table-icon-size m-l-10 current-workspace-button"
          ></i>
        </a>
      </div>
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'baseUrl'"
        [attr.data-test-field-id]="'test-automation-server-url'"
        (confirmEvent)="reloadEnvironmentFromUrlChange($event, 'baseUrl')"
        layout="compact"
        [ngClass]="'m-r-5 overflow-hidden full-width'"
      >
      </sqtm-core-editable-text-field>

      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.servers.test-automation-servers.squashautom.observer-url.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'observerUrl'"
        [attr.data-test-field-id]="'squash-autom-server-observer-url'"
        [placeholder]="deduceObserverUrl(componentData)"
        (confirmEvent)="reloadEnvironmentFromUrlChange($event, 'observerUrl')"
        layout="compact"
        class="m-r-5 overflow-hidden full-width"
      >
      </sqtm-core-editable-text-field>
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.servers.test-automation-servers.squashautom.eventbus-url.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'eventBusUrl'"
        [attr.data-test-field-id]="'squash-autom-server-eventbus-url'"
        [placeholder]="deduceEventBusUrl(componentData)"
        (confirmEvent)="reloadEnvironmentFromUrlChange($event, 'eventBusUrl')"
        layout="compact"
        class="m-r-5 overflow-hidden full-width"
      >
      </sqtm-core-editable-text-field>
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.servers.test-automation-servers.squashautom.killswitch-url.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'killSwitchUrl'"
        [attr.data-test-field-id]="'squash-autom-server-killswitch-url'"
        [placeholder]="deduceKillSwitchUrl(componentData)"
        (confirmEvent)="reloadEnvironmentFromUrlChange($event, 'killSwitchUrl')"
        layout="compact"
        class="m-r-5 overflow-hidden full-width"
      >
      </sqtm-core-editable-text-field>
    }
  </div>

  <div class="m-t-10">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>

    <sqtm-core-editable-rich-text
      [focus]="true"
      [attr.data-test-field-id]="'test-automation-server-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    >
    </sqtm-core-editable-rich-text>
  </div>

  @if (isManualSlaveSelectionVisible) {
    <div class="flex-row m-t-10">
      <span
        nz-checkbox
        style="margin: auto 5px auto 0"
        [attr.data-test-field-id]="'manualSlaveSelection'"
        [nzChecked]="componentData.testAutomationServer.manualSlaveSelection"
        (nzCheckedChange)="changeManualSlaveSelection($event)"
      >
      </span>
      <label class="label label__align_right m-l-5">
        {{
          'sqtm-core.administration-workspace.servers.test-automation-servers.manual-selection.label'
            | translate
        }}
      </label>
    </div>
  }
}
